# Mint

## Minting WOAI/Zero

Generating your WOAI/Zero is a two-step process. Minting gives you the NFT, generating creates its image content. To mint a WOAI/Zero:

### Using the native interface

1. Go to [zero.woai.io](https://zero.woai.io)
2. Connect your wallet
3. Choose the amount of WOAI/Zeros you'd like to mint (between 1 and 10)
4. \[Optional] Click the "Referred?" checkbox if someone referred you. Enter their address in the textbox that follows.
5. Click the "Mint x WOAI" -button
6. Approve the transaction in your wallet

{% hint style="info" %}
If the native interface is not working for you, use Etherscan instead!\
\&#xNAN;*Find the instructions below.*
{% endhint %}

#### Referral Bounty

We will give the top referer 10 non-generated WOAI/Zeros based on the rankings when all the WOAI/Zeros have been minted or on Jan 1, 2023, whichever is reached first. Anyone can become a referrer.

Share a link to the [zero.woai.io](https://zero.woai.io) minting interface along with the address to which you wish to receive your Referral Bounty. Entering the referral code is as easy as ticking the "Referred?"-box and entering the referral address into the text field that appears.

### Using Etherscan

1. Go to the [WOAI/Zero "Write Contract" tab on Etherscan](https://etherscan.io/address/0x0eabed78fd49ad3c0a3e445954f29522025c09a0#writeContract)
2. Connect your wallet
3. Open the "4. mintWoai" tab
4. Enter `0.05` to the mintWoai (payableAmount (ether)) field.
5. Enter `1` to the numberOfTokens (uint256) field.&#x20;
6. *\[Optional] \[Note] This mints you 1 WOAI/Zero. You can mint up to 10 WOAI per transaction. To mint more than one WOAI/Zero, you will need to increment both the number of tokens and the payable amount proportionally.*
7. Click "Write"
8. Approve the transaction in your wallet

![Inputs in Etherscan along with the Metamask notification (using testnet)](/files/DqXls3UqbfdpAttiw6b4)

#### Referral bounty

To mark a referrer, follow the above instructions and use the `mintAndRefer` function instead. Enter the address of the referrer in the "referrer (address)" -field.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.woai.io/woai-zero/mint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
